gi-xlib-2.0.9: xlib bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Xlib.Structs.XFontStruct

Contents

- Exported types
- Methods
  - Overloaded methods

Description

No description available in the introspection data.

Synopsis

- newtype XFontStruct = XFontStruct (ManagedPtr XFontStruct)

# Exported types

newtype XFontStruct Source #

Memory-managed wrapper type.

Constructors

XFontStruct (ManagedPtr XFontStruct) |

#### Instances

Instances details

Eq XFontStruct Source # |
Instance details Defined in GI.Xlib.Structs.XFontStruct Methods (==) :: XFontStruct -> XFontStruct -> Bool # (/=) :: XFontStruct -> XFontStruct -> Bool #
ManagedPtrNewtype XFontStruct Source # |
Instance details Defined in GI.Xlib.Structs.XFontStruct Methods toManagedPtr :: XFontStruct -> ManagedPtr XFontStruct Source #
BoxedPtr XFontStruct Source # |
Instance details Defined in GI.Xlib.Structs.XFontStruct Methods boxedPtrCopy :: XFontStruct -> IO XFontStruct Source # boxedPtrFree :: XFontStruct -> IO () Source #

# Methods

## Overloaded methods